Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 18:01:44 +0300

> Date: Tue, 3 May 2016 21:24:22 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], Heinz Rommerskirchen <[email-masked]>
> 
> > > Do I understand correctly (forgive me if wrong; I have not
> > > studied this, and my Emacs 25 build is quite old) that `A'
> > > in Dired is now bound by default to a command that requires
> > > a user to have an external `grep' command?  (This was not
> > > the case previously.)
> > 
> > Yusss. And 'find', too.
> 
> Ugh.  Hard to believe this got accepted, replacing a perfectly
> good command that everyone could use (and has used, for decades) -
> no dependency on anything outside Emacs, worked on all platforms.

It didn't replace the old command, that one is still there, it just
doesn't have a key binding by default.

> This new feature should have been added as, uh, err, well, just
> a new feature - a new command, totally unrelated to existing `A'
> etc.  Bad idea to usurp `A' for a command that requires a user
> to have `grep' and `find'.  Bad Emacs.

We want to stop maintaining the etags-derived UI for moving through
hits, so this is part of a plan.

> But it seems that the new trend in Emacs Dev is to willy nilly
> replace longstanding stuff, rather than just introducing new
> stuff, letting users experiment with it, and after years of
> experience and feedback PERHAPS change some default behavior
> to make better use of it by default.

FUD.  As a matter of fact, we did exactly what you call for:
introduced a new UI and commands to go with them, and let users
experiment with them, while the old ones are still available, and the
way to get back old behavior is described in NEWS.

OTOH, when Drew will stop assuming "Emacs devs" have ill will, and
release knee-jerk reactions, such as this one, based on that, is
anyone's guess.